apiVersion: resources.cattle.io/v1
kind: Backup
metadata:
  name: rancher-b2-recurring
  namespace: cattle-resources-system
spec:
  resourceSetName: rancher-resource-set-full
  storageLocation:
    s3:
      credentialSecretName: rancher-b2-creds
      credentialSecretNamespace: cattle-resources-system
      bucketName: HetznerTerra
      folder: rancher-backups
      endpoint: s3.us-east-005.backblazeb2.com
      region: us-east-005
  schedule: "0 3 * * *"
  retentionCount: 7
